Ubuntu

Application windows can sometimes fail to display and will mask regions of the screen

Reported by Doug McMahon on 2011-01-28
This bug affects 233 people
Affects Status Importance Assigned to Milestone
Unity
Medium
Sam Spilsbury
compiz (Fedora)
New
Undecided
Unassigned
compiz (Ubuntu)
Medium
Sam Spilsbury
Natty
Medium
Sam Spilsbury
unity (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned

Bug Description

Binary package hint: unity

On 2 separate machines w/ updated as of 1/28 -

On rare occasions a window will open in the top left corner with top deco buried. The most likely for this to happen is a utility window like update manager.
After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.

What does appear to happen is an invisible window is created in the area where it was pulled down to, this only happens on the current workspace, any others are unaffected

Attached xwininfo - first shows on affected workspace, 2nd when switching to another and clicking in same spot

Note that this does not always happen, I'm thinking the 'buried' window may need to show some distorttion, not sure yet

### IMPORTANT ###
This can cause some areas of the screen to be unclickable. This also happens on Classic desktop.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.16-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
Uname: Linux 2.6.38-1-generic i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.28 Wed Sep 29 09:47:25 PDT 2010
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
Architecture: i386
Date: Fri Jan 28 14:36:27 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
 nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
 nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
 nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
GraphicsCard: Subsystem: Dell Device [1028:0209]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
MachineType: Dell Inc. XPS M1330
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-1-generic root=UUID=28d68c1b-9e85-45a3-9ec2-ad4f992ba387 ro
ProcVersionSignature_: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
SourcePackage: unity
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.
version.libdrm2: libdrm2 2.4.23-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10-1ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu8
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.2+git20110124.fadee040-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu1

Doug McMahon (mc3man) wrote :
Doug McMahon (mc3man) wrote :

Attaching 2nd xwininfo from other machine - note that both these installs are from recent .iso's, updated and using only 'stock' natty packages

Doug McMahon (mc3man) wrote :

opening something like synaptic - maximizing, restoring and closing increases the likelihood of something like update manager opening w/ a buried top and a resultant invisible window

Doug McMahon (mc3man) wrote :

Have found other windows that can also cause this, all are of a 'utility' type, like gparted, main menu, ect.
If the window opens with top buried then after pulling down and closing the 'invisible' window is created
See exact same on a desktop with fresh updated install from 1/27

Didier Roche (didrocks) wrote :

Just got that as well:

1. I just saw chromium going in emergency state
2. I wasn't able to click anywhere on my screen, (the cursor keeps being a pointer), couldn't alt + tab between apps, just using keyboard to type

You will see the xwinfo attached as well. I tried to kill all chromium process because of the "emergency state relationship", and but it didn't fix it…

Currently, restarting compiz doesn't fix it, only metacity enables me to click on applications.

affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
status: New → Triaged
importance: Undecided → High
Changed in compiz (Ubuntu):
status: New → Triaged
importance: Undecided → High
summary: - semi-random invisible window with x geometry on top layer possible, one
- viewport only
+ semi-random invisible window with x geometry on top layer possible, all
+ viewport only (one ws though)

Note also that I just click somewhere on my chromium window and I got a gnome-terminal window focused and appearing magically!

There is still some stacking issue then.

Changed in unity:
milestone: none → 3.6
Didier Roche (didrocks) wrote :

Sam, look at the duplicate as well.

Changed in unity:
importance: High → Critical
Andy Whitcroft (apw) wrote :

Just hit this. Using the proceedure below I was able to get an xwininfo on the window, which was xchat:

  ctrl-alt-T to get a terminal
  run xwininfo and click where the problem area is

Andy Whitcroft (apw) wrote :

Here is the full window stack at the time.

Andy Whitcroft (apw) wrote :

I note that the window in question 'xchat' it not apparently running according to the panel, no > < markers on it.

Andy Whitcroft (apw) wrote :

Ok thinking back I did try and start xchat, and perceieved it didn't even let me click. It must have indeed tried to start and broke. I never saw xchat appear.

Doug McMahon (mc3man) wrote :

 I'm now stalled w/ nvidia having no 3d option if i upgrade X so the validity of any observations may now or shortly be questionable.
There is here a variation of this behavior where some apps will, at 'random', open with no app window visible. In this scenario there is no 'unknown' invisible window present, just the unseen app. (xwininfo will identify the app

While not solely confined to, the most likely time this occurs is when there is a popup associated with the app, either typically or thru present circumstance. ( for instance update manager when there is a partial update popup

In all these cases running compiz --replace restores function and exposes the window

Download full text (4.4 KiB)

On Thu, Feb 3, 2011 at 7:08 AM, Doug McMahon <email address hidden> wrote:
>  I'm now stalled w/ nvidia  having no 3d option if i upgrade X so the validity of any observations may now or shortly be questionable.
> There is here a variation of this behavior where some apps will, at 'random', open with no app window visible. In this scenario there is no 'unknown' invisible window present, just the unseen app. (xwininfo will identify the app
>
> While not solely confined to, the most likely time this occurs is when
> there is a popup associated with the app, either typically or thru
> present circumstance. ( for instance update manager when there is a
> partial update popup
>
> In all these cases running compiz --replace restores function and
> exposes the window

Indeed. The bug is that the window is being tracked initially and then
untracked soon afterwards. Restarting compiz forces all windows to be
tracked again.

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  semi-random invisible window with x geometry on top layer possible,
>  all viewport only (one ws though)
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  Triaged
> Status in “compiz” source package in Natty:
>  Triaged
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to another and clicking in same spot
>
>  Note that this does not always happen, I'm thinking the 'buried'
>  window may need to show some distorttion, not sure yet
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2.16-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  Uname: Linux 2.6.38-1-generic i686
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86 Kernel Module  173.14.28  Wed Sep 29 09:47:25 PDT 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
>  Architecture: i386
>  Date: Fri Jan 28 14:36:27 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus:
>   nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
>   nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
>  GraphicsCard:   Subsystem: Dell Device [1028:0209]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha ...

Read more...

Sam Spilsbury (smspillaz) wrote :
Download full text (4.8 KiB)

On Thu, Feb 3, 2011 at 9:17 AM, Sam Spilsbury <email address hidden> wrote:
> On Thu, Feb 3, 2011 at 7:08 AM, Doug McMahon <email address hidden> wrote:
>>  I'm now stalled w/ nvidia  having no 3d option if i upgrade X so the validity of any observations may now or shortly be questionable.
>> There is here a variation of this behavior where some apps will, at 'random', open with no app window visible. In this scenario there is no 'unknown' invisible window present, just the unseen app. (xwininfo will identify the app
>>
>> While not solely confined to, the most likely time this occurs is when
>> there is a popup associated with the app, either typically or thru
>> present circumstance. ( for instance update manager when there is a
>> partial update popup
>>
>> In all these cases running compiz --replace restores function and
>> exposes the window
>
> Indeed. The bug is that the window is being tracked initially and then
> untracked soon afterwards. Restarting compiz forces all windows to be
> tracked again.

BTW, you can see this behaviour if you use xwininfo -all on the
"invisible" window, you will see that the parent window is the root
window. I'm currently looking into this now, but it is difficult
considering how hard it is to reproduce

>
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/709461
>>
>> Title:
>>  semi-random invisible window with x geometry on top layer possible,
>>  all viewport only (one ws though)
>>
>> Status in Unity:
>>  Triaged
>> Status in “compiz” package in Ubuntu:
>>  Triaged
>> Status in “compiz” source package in Natty:
>>  Triaged
>>
>> Bug description:
>>  Binary package hint: unity
>>
>>  On 2 separate machines  w/ updated as of 1/28 -
>>
>>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>>
>>  What does appear to happen is an invisible window is created in the
>>  area where it was pulled down to, this only happens on the current
>>  workspace, any others are unaffected
>>
>>  Attached xwininfo - first shows on affected workspace, 2nd when
>>  switching to another and clicking in same spot
>>
>>  Note that this does not always happen, I'm thinking the 'buried'
>>  window may need to show some distorttion, not sure yet
>>
>>  ProblemType: Bug
>>  DistroRelease: Ubuntu 11.04
>>  Package: unity 3.2.16-0ubuntu1
>>  ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>>  Uname: Linux 2.6.38-1-generic i686
>>  NonfreeKernelModules: nvidia
>>  .proc.driver.nvidia.version:
>>   NVRM version: NVIDIA UNIX x86 Kernel Module  173.14.28  Wed Sep 29 09:47:25 PDT 2010
>>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
>>  Architecture: i386
>>  Date: Fri Jan 28 14:36:27 2011
>>  DistUpgraded: Fresh install
>>  DistroCodename: natty
>>  DistroVariant: ubuntu
>>  DkmsStatus:
>>   nvidia-current, 260.19.29, 2.6.37-12-generic, i686: ins...

Read more...

The same problem.
I made a screenshot that almost exactly shows what I mean.

Note the one gmrun application visible and its corresponding launcher icon with the question mark, note how many gmrun running shows ps aux |grep gmrun.

The cursor had the shape of input feald when it was above (there is where the invisible gmrun window was), I do not know why it shows in its normal shape on the screenshot. I have tried to make it 3 times, but allways with the same results.

Doug McMahon (mc3man) wrote :

Sam "SmSpillaz" Spilsbury wrote
>considering how hard it is to reproduce

Unfortunately it is, I can go quite some time with no incident, then it happens repeat-ably.
It still seems most likely are update-manager, software sources, archive-manager, synaptic and the power button (other 'normal apps very rarely.
If I happen upon a method to cause in a less than random fashion will relay

( At least here it's almost guaranteed that something bad will shortly happen after - if synaptic is opened unmaximized, then maximized, restored and closed. If the launcher doesn't outright freeze than opening something like update=manager once or twice from the launcher should cause some bad behavior

Omer Akram (om26er) wrote :

when you minimize a window there is an invisible window called 'untitled window' which gets the focus. now using nux trunk that 'untitled window' is called 'nux input window' I believe that is *the* invisible window causing the issue. bug 705536 and bug 693801 are on the very same issue(tm)

SolidSlash (solidslash) wrote :

I can also confirm this on a standard gnome-session, not Unity. It often happens that when I'm trying to run, for instance Gnome System Monitor, it indeed opens but I can't see the window. What I can notice is that cursor changes into ][ as I were hovering over a text. Right-click menu is also available - I can kill a process, for example. It is VERY annoying.

Neil J. Patel (njpatel) wrote :

I think this is something to do with the dash window, will investigate

Changed in unity:
milestone: 3.6 → 3.4.2
gpothier (gpothier) wrote :

I also confirm that this happens with the Classic Desktop (ie. not Unity).

In that case, it must be a compiz bug, not a unity one.

Download full text (3.7 KiB)

On Mon, Feb 7, 2011 at 10:11 PM, Marco Biscaro
<email address hidden> wrote:
> In that case, it must be a compiz bug, not a unity one.
>

It is indeed a race condition in compiz. I am looking into it but it
is difficult to find a pinpoint on the issue.

> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  semi-random invisible window with x geometry on top layer possible,
>  all viewport only (one ws though)
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  Triaged
> Status in “compiz” source package in Natty:
>  Triaged
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to another and clicking in same spot
>
>  Note that this does not always happen, I'm thinking the 'buried'
>  window may need to show some distorttion, not sure yet
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2.16-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  Uname: Linux 2.6.38-1-generic i686
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86 Kernel Module  173.14.28  Wed Sep 29 09:47:25 PDT 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
>  Architecture: i386
>  Date: Fri Jan 28 14:36:27 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus:
>   nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
>   nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
>  GraphicsCard:   Subsystem: Dell Device [1028:0209]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  MachineType: Dell Inc. XPS M1330
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   LC_MESSAGES=en_US.utf8
>   SHELL=/bin/bash
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-1-generic root=UUID=28d68c1b-9e85-45a3-9ec2-ad4f992ba387 ro
>  ProcVersionSignature_: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  SourcePackage: unity
>  dmi.bios.date: 12/26/2008
>  dmi.bios.vendor: Dell Inc.
>  dmi.bios.version: A15
>  dmi.board.vendor: Dell Inc.
>  dmi.chassis.type: 8
>  dmi.chassis.vendor: Dell Inc.
>  dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
>...

Read more...

This bug was fixed in the package compiz - 1:0.9.2.1+glibmainloop4-0ubuntu10

---------------
compiz (1:0.9.2.1+glibmainloop4-0ubuntu10) natty; urgency=low

  * debian/patches/080_migrate_gconf_from_alpha1.patch
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - remove the additional python wrapper now that people who installed
      alpha1 are considerated to be transitionned to the new schema.
  * debian/patches/17_fix_stacking_issue.patch:
    - backport from upstream. This seems to fix the random invisible window
      (LP: #709461)
 -- Didier Roche <email address hidden> Tue, 08 Feb 2011 10:31:06 +0100

Changed in compiz (Ubuntu Natty):
status: Triaged → Fix Released
Nusret (nusretbalci) wrote :

The status is "Fix Released", but I hit this *after* this update, too.

Sam Spilsbury (smspillaz) wrote :

Yeah, the initial stacking fix only cures part of the problem. We're still looking into this.

Didier Roche (didrocks) wrote :

@Nusret: did you restart compiz after the update and before hitting the bug?

Doug McMahon (mc3man) wrote :

Overall very good improvement , a couple ways still remain where an 'untracked' window is created, a slightly atypical use of synaptic is good example, opera may also have/create some issues

This applies to both unity and gnome-panel logins

Didier Roche (didrocks) wrote :

hey Dough,

Can you try to describe in simple steps (that's what we really miss: reproducible testcase ;)) what you are inferring by "slightly atypical use of synaptic"?

If we can have a quite reliable reproducible test case, that will help greatly to debug this issue.

Doug McMahon (mc3man) wrote :
Doug McMahon (mc3man) wrote :

Try this - fresh boot
Open synaptic, should open in a typical default or so window size.
Maximize and then close synaptic
Open synaptic again, should open maximized, then click restore, it should only restore to slightly less than maximized
Grab the r. bottom corner of synaptic and resize to 'normal' windowed size
Then close synaptic and click on the power button > log out. At least here the confirmation box will not show (enter on keyboard will work though

If the above doesn't cause, then a slight variation - on my desktop I need to Alt+l.click and move synaptic up to be able to resize, then after the resize pull down to close. So same as above but move up then down

I can repeat this at will, hope you see the same

Also on unity opening update after synaptic (open/close) may also cause the same or crash the kuancher

Doug McMahon (mc3man) wrote :

Also on unity opening update manager after synaptic (open/close) may also cause the same or crash the launcher
(excuse missed word and spelling

Sam Spilsbury (smspillaz) wrote :

Thanks heaps Doug!

Now all I need to do is debug it :)

David Barth (dbarth) on 2011-02-09
tags: added: unity
David Barth (dbarth) on 2011-02-09
Changed in compiz (Ubuntu Natty):
status: Fix Released → In Progress
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Doug McMahon (mc3man) wrote :

Well good luck and just to repeat, most all of the previous ways to cause this were fixed w/ the update.

A small possibly related issue that has arisen (before this update), was a possible race in unity-panel-service. Again mostly at random, (though I don't think anything is actually 'random'
I thought i'd leave a htop screen and a bit of mpstat if you haven't seen or heard of. (log and screen are separate occurrences
If it comes back, hasn't since the update, , probably a new bug is in order

Doug McMahon (mc3man) wrote :
SolidSlash (solidslash) wrote :

I can confirm that indicator-applet-session does not show a confirmation box - hitting enter does the expected job, though.

Nusret (nusretbalci) wrote :

@26, Didier Roche:
I rebooted the machine.

Download full text (4.0 KiB)

I can confirm the issue still after the latest updates. It happened when I
wanted to watch a movie in mplayer. I have a .desktop file on my desktop
which launches mplayer when I drop a file on top of it from Nautilus.

Today I did that. I was able to hear the sound, but no MPlayer window,
mplayer did not appear in the laucher either..

2011/2/9 Nusret <email address hidden>

> @26, Didier Roche:
> I rebooted the machine.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (711929).
> https://bugs.launchpad.net/bugs/709461
>
> Title:
> semi-random invisible window with x geometry on top layer possible,
> all viewport only (one ws though)
>
> Status in Unity:
> Triaged
> Status in “compiz” package in Ubuntu:
> In Progress
> Status in “compiz” source package in Natty:
> In Progress
>
> Bug description:
> Binary package hint: unity
>
> On 2 separate machines w/ updated as of 1/28 -
>
> On rare occasions a window will open in the top left corner with top deco
> buried. The most likely for this to happen is a utility window like update
> manager.
> After pulling back down into the desktop (Alt+click) it may or may not
> show some graphical distortion (window split in 2 parts), if so it returns
> to normal if opening any other window.
>
> What does appear to happen is an invisible window is created in the
> area where it was pulled down to, this only happens on the current
> workspace, any others are unaffected
>
> Attached xwininfo - first shows on affected workspace, 2nd when
> switching to another and clicking in same spot
>
> Note that this does not always happen, I'm thinking the 'buried'
> window may need to show some distorttion, not sure yet
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.2.16-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
> Uname: Linux 2.6.38-1-generic i686
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.28 Wed Sep 29
> 09:47:25 PDT 2010
> GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
> Architecture: i386
> Date: Fri Jan 28 14:36:27 2011
> DistUpgraded: Fresh install
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus:
> nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
> nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
> nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
> nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
> GraphicsCard: Subsystem: Dell Device [1028:0209]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
> MachineType: Dell Inc. XPS M1330
> ProcEnviron:
> LANGUAGE=en_US:en
> PATH=(custom, user)
> LANG=en_US.UTF-8
> LC_MESSAGES=en_US.utf8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-1-generic
> root=UUID=28d68c1b-9e85-45a3-9ec2-ad4f992ba387 ro
> ProcVersionSignature_: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
> SourcePackage: unity
> dmi.bios.date: 12/26/2008
> dmi.bios.vendor: Dell Inc.
> dmi.b...

Read more...

I can confirm the issue still after the latest updates. It happened when I wanted to watch a movie in mplayer. I have a .desktop file on my desktop which launches mplayer when I drop a file on top of it from Nautilus.

Today I did that. I was able to hear the sound, but no MPlayer window, mplayer did not appear in the laucher either..

Bowmore (bowmore) wrote :

Confirming too.

This issue to me mainly concerns the TvTime app that always get an invisible window at launch but there is sound. However, TvTime is managable in sence of switching channels, muting, etc using the mouse over the invisible window. I always have to run "compiz --replace" to make it visible again.

Download full text (3.9 KiB)

Just quick workaround for anyone who is annoyed by this:

Show and unshow the desktop (eg Ctrl-Alt-d)

On Thu, Feb 10, 2011 at 1:05 AM, Bowmore <email address hidden> wrote:
> Confirming too.
>
> This issue to me mainly concerns the TvTime app that always get an
> invisible window at launch but there is sound. However, TvTime is
> managable in sence of switching channels, muting, etc using the mouse
> over the invisible window. I always have to run "compiz --replace" to
> make it visible again.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  semi-random invisible window with x geometry on top layer possible,
>  all viewport only (one ws though)
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  In Progress
> Status in “compiz” source package in Natty:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to another and clicking in same spot
>
>  Note that this does not always happen, I'm thinking the 'buried'
>  window may need to show some distorttion, not sure yet
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2.16-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  Uname: Linux 2.6.38-1-generic i686
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86 Kernel Module  173.14.28  Wed Sep 29 09:47:25 PDT 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
>  Architecture: i386
>  Date: Fri Jan 28 14:36:27 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus:
>   nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
>   nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
>  GraphicsCard:   Subsystem: Dell Device [1028:0209]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  MachineType: Dell Inc. XPS M1330
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   LC_MESSAGES=en_US.utf8
>   SHELL=/bin/bash
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-1-generic root=UUID=28d68c1b-9e85-45a3-9ec2-ad4f992ba387 ro
>  ProcVersionSignature_: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  SourcePackage: unity
>  dmi.bios.date: 12/26/2008
>  dmi.b...

Read more...

I've seen this problem with qterm, but the workaround above doesn't work.

Changed in unity:
status: Triaged → Fix Committed
Changed in compiz (Ubuntu Natty):
status: In Progress → Fix Committed
Sam Spilsbury (smspillaz) wrote :

Fixed with this patch

Doug McMahon (mc3man) wrote :

Did a patch & build, went thru the 1/2 dozen or so scenarios, can't cause any mis-behavior, looks good
(also as of yet can't cause compiz to crash either...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.2.1+glibmainloop4-0ubuntu11

---------------
compiz (1:0.9.2.1+glibmainloop4-0ubuntu11) natty; urgency=low

  * debian/patches/18_really_fix_stacking_issues.patch:
    - hopefully, this time, the invisible window is dead (LP: #709461)
 -- Didier Roche <email address hidden> Fri, 11 Feb 2011 13:00:01 +0100

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
Neil J. Patel (njpatel) on 2011-02-20
Changed in unity:
status: Fix Committed → Fix Released

Still having the issue :(

mheimann@mheimann-linux:~$ dpkg-query -l | grep "compiz "
ii compiz 1:0.9.2.1+glibmainloop4-0ubuntu11 OpenGL window and compositing manager

Just had a invisible time-admin window stuck on top of the application applet :(

reproduction is hard :(

Only thing: the time-admin window normally sits right under the panel - the invisible one was sitting on top of it making clicks on applications, places or system useless.

SolidSlash (solidslash) wrote :

I'm still experiencing it, too. It happened to me few times when I was trying to open sound preferences menu from the sound applet.

Oh - just seen that the issue again (find "xwininfo -all" attached)

Doug McMahon (mc3man) wrote :

Just to note - have seriously tried in the Desktop > unity login to cause this, have not be able to since the upgrade to 0ubuntu11

However have seen it once in a Classic > gnome-panel login, though don't spend enough time using that interface to really confirm or present decent test case.
I'm wondering what login the last 2 reporters are using?

SolidSlash (solidslash) wrote :

I'm using the Classic desktop due to the fact that Unity doesn't like fglrx.

just happened again - normal gnome-terminal started from application menu...

Artem Popov (artfwo) wrote :

Happened again for me too. Should this bug be reopened in this case?

Didier Roche (didrocks) wrote :

I think opening another bug, with a reproducible test case will be better

The bug is not solved. Is should be reopened. Opening another case is wrong since it's the same issue.
A reproducable test case would be good, but is not yet found or might even be impossible/very hard in case of a race condition.

Doug McMahon (mc3man) wrote :

Michael & Артём Попов - are you seeing this with the Classic > gnome-panel login?

Artem Popov (artfwo) wrote :

No, I didn't use classic desktop at all. The bug occurs in a Unity session.

Doug McMahon (mc3man) wrote :

Артём Попов wrote > No, I didn't use classic desktop at all. The bug occurs in a Unity session.
Don't see it at all in unity, (fully updated

This could be a new bug in gnome-panel login (which I don't use

Anyway - a possible repeatable test case for gnome-panel login

Fresh boot to Classic > gnome-panel with the global menu applet enabled (if not enabled then add to panel, logout/in

Use the menu a couple of times, - Ex. open 'places' > home folder, > then 'go' > Computer.
Close out nautilus, then REMOVE the global menu applet from the panel
Try to log out, should produce a hidden window

Changed in unity:
milestone: 3.4.2 → 3.6
status: Fix Released → In Progress
Artem Popov (artfwo) wrote :

This bug has shown itself several times with xchat-gnome. When I start xchat-gnome either from the indicator-session menu or from the Unity dock, it is completely invisible but 'ps ax' shows an xchat-gnome process.

Large part of the screen is unclickable.

Killing xchat-gnome and restarting it solves the problem.

Didier Roche (didrocks) on 2011-02-24
Changed in unity (Ubuntu Natty):
status: New → In Progress
tags: added: patch
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
David Barth (dbarth) on 2011-03-01
summary: - semi-random invisible window with x geometry on top layer possible, all
- viewport only (one ws though)
+ Application windows can sometimes fail to display and will mask regions
+ of the screen
Timo Witte (spacefish) wrote :

I have the same problem.. it happens only with compiz. Metacity works fine. I run gnome desktop. The cursor turns into a pointer and ignores clicks, you can still type in the current window but alt + tab doesn´t work. I do a "restart gdm" via ctrl + alt + f2 -> login -> sudo when it happens.. Maybe a Dump of the compiz process would be usefull?

Didier Roche (didrocks) wrote :

an easy way to check the stacking issue is to launch gnome-display-properties -> the top left edge showing the screen name is under the panel. However, xprop shows it's at top.

Changed in compiz (Ubuntu Natty):
status: Fix Released → Triaged
David Barth (dbarth) on 2011-03-07
tags: added: compiz-0.9
Didier Roche (didrocks) on 2011-03-07
Changed in unity:
milestone: 3.6.2 → 3.6.4
tags: added: dids-top-ten
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
milestone: 3.6.4 → 3.6.6
cgarre (cgarre) wrote :

i see it regularly/consistently with the firefox downloads window ... but it fixes itself after restart.

Didier Roche (didrocks) on 2011-03-17
Changed in unity:
milestone: 3.6.6 → 3.6.8
mexlinux (mcanedo) wrote :

I have this problem.
I have run the xwininfo (see below), and it's interesting to note that it says that is the gnome-calculator, but I don't even have a calculator open...!

xwininfo: Window id: 0x4e00004 "Calculadora"

  Absolute upper-left X: -1
  Absolute upper-left Y: -29
  Relative upper-left X: -1
  Relative upper-left Y: -29
  Width: 312
  Height: 216
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners: +-1+-29 -969+-29 -969-613 +-1-613
  -geometry 312x216+-1+-29

Sam Spilsbury (smspillaz) wrote :

I've done some more fixes for this ... so I am going to mark it Fix Commited for now ... if anyone gets trouble in the next upload, then:

a) Urgh :/
b) Please reopen the bug

Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in compiz (Ubuntu Natty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4git20110322-0ubuntu1

---------------
compiz (1:0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bug fix snapshot:
    - Application windows can sometimes fail to display and will
      mask regions of the screen (LP: #709461)
    - Compiz switcher Alt-Tab order is not predictable - should
      maintain LIFO ordering in application switcher (LP: #175874)
    - after compiz crashed, gnome-panel isn't mapped again (LP: #711378)
    - invisible windows border problem (LP: #710271)
    - Compiz thinks you are clicking in an edge window when you
      are not (LP: #734250)
    - Add test case for invisible window regressions (LP: #736876)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - When windows open for the first time they should not hide (LP: #723878)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Pixmaps trashed during animations when window is unmapped (LP: #733331)
    - Windows have blank decorations when rapidly closing and
      reopening (LP: #733328)
    - Unity is not restored on unity/compiz crash: compiz doesn't register
      properly with gnome-session (LP: #716462)
  * remove the patch taken from upstream
  * refresh u-w-d patch with latest upstream work
  * debian/compiz-core.install:
    - image move to the final destination
  * debian/patches/100_bump_core.h.patch:
    - bump for ABI breakage
  * debian/compiz-decorator:
    - use gtk-window-decorator and not unity-window-decorator as it's really
      crashy for now (will probably redo an upload tomorrow with a fixed
      decorator)
 -- Didier Roche <email address hidden> Tue, 22 Mar 2011 21:45:34 +0100

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-03-22
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
kaij74 (kaij74) wrote :

I still see this bug, it's probably better but it still keeps happening.

Artem Popov (artfwo) wrote :

So do I, and it is even worse for me.

kaij74 (kaij74) wrote :

After some more testing i have to agree with you. Now it's much worse than before. This bug https://bugs.launchpad.net/ubuntu/+source/unity/+bug/740905 looks similiar.

Bug exists still with updates from 25/03/11. I'm using Gnome-classic, not Unity.

Allison Randal (allison) wrote :

I seem to have a consistently repeatable instance of this bug, see LP #743615

mexlinux (mcanedo) wrote :

It's still here on march 29, updated Natty.
I can almost always reproduce it by launching gcalctool from the launcher.

Sorry chaps, this bug is definitely not fixed. It's intermittent, personally I usually see it when opening either the power statistics or sound preferences from their respective indicators, but still there.

Just checked the version of compiz I have installed is: 1:0.9.4git20110322-0ubuntu5 (compiz-core)

Didier Roche (didrocks) wrote :

Reopening then.

Changed in unity:
status: Fix Released → Triaged
Changed in compiz (Ubuntu Natty):
status: Fix Released → Triaged
Changed in unity (Ubuntu Natty):
status: Fix Released → Triaged
Sam Spilsbury (smspillaz) wrote :

There will be an upload on Monday, at which point I will close the bug since I've got a testcase which proves this. Please do not reopen it unless you can decisively prove that you attempted to open a window, it did not open and instead you have an invisible region on your screen.

Sam Spilsbury (smspillaz) wrote :

(The upload will fix the tcl case)

Sam Spilsbury (smspillaz) wrote :

Test case can be found at lp:~smspillaz/+junk/invisiblewindowtest

Changed in unity:
milestone: 3.6.8 → 3.8.4
Bryce Harrington (bryce) wrote :

[Unchecking patch as a fix since development has moved beyond it; it's not a sponsorable fix any longer.]

Didier Roche (didrocks) on 2011-04-07
Changed in unity:
milestone: 3.8.4 → 3.8.6
David Barth (dbarth) wrote :

The issue that sometimes happen with gnome-volume-control is different: the applicaiton window is "nowhere to be seen", as opposed to that bug description which covers windows which are "invisible but mask a region of the screen".

Sam Spilsbury (smspillaz) wrote :

Note that in order to reopen this bug, you need to prove that

a ) No window appears on screen
b) You get a "ghost region"
c) You cannot alt-drag that "ghost region"
d) attach xwininfo -root -tree, xwininfo (click on the ghost region), wmctrl -l

Didier Roche (didrocks) on 2011-04-11
Changed in unity:
milestone: 3.8.6 → 3.8.8
Didier Roche (didrocks) on 2011-04-14
Changed in unity:
milestone: 3.8.8 → 3.8.10
David Barth (dbarth) wrote :

We haven't received further feedback on this bug since a few weeks and all the bugs mentioned in reference have been fix-released. We believe that the root cause for the issue has been removed by those fixes, and other adjustments in the way a correct stack order is maintained.

I propose to close this bug at this stage, and only re-open it if a reproducible problem can be documented as stated by Sam in https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/709461/comments/77

Changed in unity:
status: Triaged → Fix Released
Changed in compiz (Ubuntu Natty):
status: Triaged → Fix Released
Changed in unity (Ubuntu Natty):
status: Triaged → Fix Released

Reproduction steps: minimize any window by clicking on the minimize button.

I'm also seeing an inability to bring a window to the front of the
ghost window by clicking on it (with the ghost window visible or
minimized), precisely as if the ghost window was always-on-top'ed
(which it is not according to the window menu).

Didier Roche (didrocks) wrote :

@Sam: seems we have a reproducible test case there.
@Carey: can you reproduce that every time? do you have special windows opened?

Can you please try to define the steps to reproduce the bugs from session login, like:
1. open xxx
2. minimize it
and such?

Changed in unity:
milestone: 3.8.10 → 3.8.14
status: Fix Released → Triaged
importance: Critical → High
Changed in compiz (Ubuntu):
status: Fix Released → Triaged
Changed in compiz (Ubuntu Natty):
status: Fix Released → Triaged
Changed in unity (Ubuntu Natty):
status: Fix Released → Triaged
Changed in unity:
importance: High → Medium
Changed in compiz (Ubuntu):
importance: High → Medium
Changed in compiz (Ubuntu Natty):
importance: High → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity (Ubuntu Natty):
importance: Undecided → Medium
Changed in unity (Ubuntu):
status: Fix Released → Triaged
Didier Roche (didrocks) wrote :

(reopening the bug, but setting now the priority to medium as it doesn't happen as often as before)

pablomme (pablomme) wrote :

@Carey: do you have compiz option "Workarounds > Keep previews of minimized windows" active? If so, this is bug #765469, which does not satisfy the conditions of comment #77 because the window can still be alt+dragged. I can indeed reproduce what you say with a non-maximized update-manager window if I turn on this compiz option.

mexlinux (mcanedo) wrote :

It start to happen to me againas soon as I enabled wobbly windows.
I dissabled them and have not seen it again.
.....might be related....

Cem Kocagil (cem-kocagil) wrote :

a) No window appears on screen
b) I get a "ghost region"
c) I cannot alt-drag that "ghost region"
d) (Attachment below)

I encounter this bug almost on a daily basis. I cannot reproduce this bug by minimizing, it seems to happen at random - probably a race condition...

I feel like the attached files do not contain enough information. Is there a debug/logging mode for compiz or any other way I can help you?

Cem Kocagil (cem-kocagil) wrote :
Download full text (4.2 KiB)

(Sorry for spamming, it took me two comments to figure out how to send
multiple files to launchpad...)

On Tue, May 3, 2011 at 5:55 PM, Cem Kocagil <email address hidden>wrote:

> a) No window appears on screen
> b) I get a "ghost region"
> c) I cannot alt-drag that "ghost region"
> d) (Attachment below)
>
> I encounter this bug almost on a daily basis. I cannot reproduce this
> bug by minimizing, it seems to happen at random - probably a race
> condition...
>
> I feel like the attached files do not contain enough information. Is
> there a debug/logging mode for compiz or any other way I can help you?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
> Application windows can sometimes fail to display and will mask
> regions of the screen
>
> Status in Unity:
> Triaged
> Status in “compiz” package in Ubuntu:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “compiz” source package in Natty:
> Triaged
> Status in “unity” source package in Natty:
> Triaged
>
> Bug description:
> Binary package hint: unity
>
> On 2 separate machines w/ updated as of 1/28 -
>
> On rare occasions a window will open in the top left corner with top deco
> buried. The most likely for this to happen is a utility window like update
> manager.
> After pulling back down into the desktop (Alt+click) it may or may not
> show some graphical distortion (window split in 2 parts), if so it returns
> to normal if opening any other window.
>
> What does appear to happen is an invisible window is created in the
> area where it was pulled down to, this only happens on the current
> workspace, any others are unaffected
>
> Attached xwininfo - first shows on affected workspace, 2nd when
> switching to another and clicking in same spot
>
> Note that this does not always happen, I'm thinking the 'buried'
> window may need to show some distorttion, not sure yet
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.2.16-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
> Uname: Linux 2.6.38-1-generic i686
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.28 Wed Sep 29
> 09:47:25 PDT 2010
> GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
> Architecture: i386
> Date: Fri Jan 28 14:36:27 2011
> DistUpgraded: Fresh install
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus:
> nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
> nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
> nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
> nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
> GraphicsCard: Subsystem: Dell Device [1028:0209]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
> MachineType: Dell Inc. XPS M1330
> ProcEnviron:
> LANGUAGE=en_US:en
> PATH=(custom, user)
> LANG=en_US.UTF-8
> LC_MESSAGES=en_US.utf8
> SHELL=/bin/bash
> ProcKernelCmdLine...

Read more...

David Rando (david-rando) wrote :

Same problem here, after moving windows around, minimize, maximice, etc.. i had some dead zones around. Here's the info requested:

David Rando (david-rando) wrote :
David Rando (david-rando) wrote :

Sorry, i couldn't find how to add multiple files in Chrome

Pedro Carrasco (blare82) wrote :

Also you can workaround this issue by creating a launcher with the command (or running in a terminal ):

unity --replace

If it helps, here is a screenshot showing the size of my unclickable area: http://img198.imageshack.us/i/screenshotgnl.png/

David Rando (david-rando) wrote :

I've updated from xorg-edgers ppa and my problems gone. Must be related to xorg someway.

Chen Tao (pro711) wrote :

Same problem here with classic GNOME interface. It happens frequently and is really annoying.

Fran Rogers (fran-dumetella) wrote :

I'm also experiencing this issue frequently, at random, with Unity and classic GNOME, on two different computers running up-to-date copies of 11.04. (One's a desktop with an NVIDIA display adapter and a 1280x1024 screen; the other's a netbook with integrated Intel graphics and a 1024x800 screen.)

One additional thing I noticed is that pressing Alt-Tab usually makes the dead zones disappear for a while. (This workaround is the one thing keeping me from pulling my hair out...) Maybe it's related to the Compiz Alt-Tab plugin?

Same problem here, bug does indeed occur less often than before but it still happens. Running natty fully updated and with Ubuntu Classic Desktop.
Also, I've noticed that at least in my case, the dead zone appears to mask the desktop, as middle-clicking it triggers the rotate desktop cube effect. Disabling the plugin had no effect.

Martynas Pocius (kyo-saviems) wrote :

just confirmed it happening with wobbly windows turned off :(
got this happening on 4 machines now and the only thing they have in common is that they all have nvidia cards.

Brian Read (brianr-bjsystems) wrote :

I can also confirm I am using the nvidia proprietary driver (actually the "one before" version, because the "current" version gives me blank screens occasionally).

All worked fine on 10.10.

filsd (filsdd) wrote :

I can confirm it happening on intel cards to. Both GMAx3100 and HD Graphics 3000 (Sandy Bridge core i7 2630).

Bert Rapp (bert-rapp) wrote :

I'm having this problem also after updating to 11.04. I also have an nvidia graphics card. I've install the xorg-edgers ppa and the small button sized masks have been replaced with a desktop sized mask. I'm running Ubuntu Classic. It seems to happen after the computer has been running for a while. I'm guessing that it might be related to the Update Manager.

Symptoms:
Mouse moves but I cannot click on anything (entire desktop). I have not tried using another workspace.
Keyboard works fine.
Hovering over hyperlinks also doesn't change pointer to the usual finger, as if the hyperlink isn't there.
The same goes for hovering over buttons in an application, they do not respond with the typical visual 3D effect.
xwininfo reports "Error: Can't grab mouse."

Dmitry Shachnev (mitya57) wrote :

I got redirected here by bug 741112.
My case: can't click on some areas of the window, happens for both Gtk & Qt applications, Intel video , Classic desktop.
Discussion @ Ubuntuforums: ubuntuforums.org/showthread.php?t=1747222.

Dmitry Shachnev (mitya57) wrote :

Also, should bug 723014 be marked as a duplicate? It has duplicates (i.e. bug 709461) which are very similar to this one.

Oskenso Kashi (oskenso) wrote :

I can say for sure that this is a software issue. I had my cursor on a dead-zone as I was logging off, and during the program closing sequence (my system's quite slow ). the dead zone dissapeared shortly before logout out of the desktop. I'm on an Asus M50SV but I don't think hardware matters with this bug! perhaps related to unity?

Martynas Pocius (kyo-saviems) wrote :

It also happens during classic session. The reason why the dead-zone disappears for you is because while shutting down, Ubuntu closes all the windows, including the invisible window that's causing the dead-zone.

filsd (filsdd) wrote :

I discovered something interesting. This "dead area"does not occur when using the application in full screen (F11), but when I go back from full screen the dead area is still there. I tested this on both Firefox and GIMP. Perhaps it is related to Compiz?

Oskenso Kashi (oskenso) wrote :

@Martynas Pocius Sorry I forgot to mention that I am infact running in classic mode, but that's irrelevant because the problem persists in Unity mode.

@filsd confirmed

Gorgonilla (lviggiani) wrote :

Hi, is any of you having Skyper running when the problem shows up?
I have noticed that I only have the problem when skype is running on my computer. Otherwise I can work an entire day without that issue...

Martynas Pocius (kyo-saviems) wrote :

Indeed, got Skype running, will double-check if the situation changes without Skype. :S

Martynas Pocius (kyo-saviems) wrote :

Sadly the problem is still there. Rebooted the system without starting Skype, and as soon as i launched Firefox the invisible window was back.

Daniel van Vugt (vanvugt) wrote :

I just discovered that my mouse dead zone is exactly the shape and position of alt-tab switcher (compiz plugin). In fact it's the shape of the switcher's grey background/border, excluding the window previews. xwininfo shows the window is mapped (IsViewable) but is also InputOnly and OverrideRedirect. Also the parent of the window is the root window, so that's probably why mouse button events get ignored.

OK, this is annoying.

After upgrade from Maverick to Natty I got this issue. Some regions in the middle of bottom part of screen is unreachable by mouse events (click and scroll).

I'm use Classic desktop on Lenovo N500 laptop (Intel graphics).

I think I got dirty temporary workaround for this bug. After xwininfo of ghost area (response is here: http://paste.ubuntu.com/608527/ ) I used `xkill -id GHOST-AREA-ID` to kill that window, then Compiz restarts and then I can click and scroll on previously ghost area.

Do this 'kill mojo' works for U?

Daniel van Vugt (vanvugt) wrote :

It seems all dead-zone related bugs are being marked as duplicates of this one. If that is correct, then isn't it about time this bug's description was clarified? It's a little misleading and is causing people to log duplicates because they never find this bug.

So maybe "Application windows can sometimes fail to display and will mask regions of the screen"
should be: "Invisible windows mask regions of the screen, mouse doesn't respond"

And if so, then bug 779651 is also a duplicate. Either that, or I'm experiencing 779651 and not this one (?)

ngc2997 (ngc2997) wrote :

Actually, this is a very annoying bug - it appears to affect my system several times a day (or even several times per hour). Shouldn't this be rated higher than just 'medium'? It definitely has a strong negative impact on usability and might severely confuse less experienced users.

gorch (harrycapfull) wrote :

If it appears on place of alt-tab switcher, it would be not unreasonable to switch off this plug-in and replace by ring switcher for example. I did this yesterday, and do not see this problem as yet.

Peeyoosh Sangolekar (enli) wrote :

I second #115. This appears to be related to alt+tab switcher. On my installation(11.04) this bug is reproducible 100% of times.
0. Start with fresh instance of compiz (compiz --replace).
1. On any workspace, have at least 2 windows.
2. Alt+Tab and select any window.
3. The dead zone bug appears where the alt+tab switch view was present and no buttons/ui interactions can be made in that area.

Can you walk through step by step from login to reproducing this bug?
Eg, which applications you opened, where you clicked etc.

On Thu, May 19, 2011 at 4:30 PM, Peeyoosh Sangolekar
<email address hidden> wrote:
> I second #115.  This appears to be related to alt+tab switcher. On my installation(11.04) this bug is reproducible 100% of times.
> 0. Start with fresh instance of compiz (compiz --replace).
> 1. On any workspace, have at least 2 windows.
> 2. Alt+Tab and select any window.
> 3. The dead zone bug appears where the alt+tab switch view was present and no buttons/ui interactions can be made in that area.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  Application windows can sometimes fail to display and will mask
>  regions of the screen
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

ngc2997 (ngc2997) wrote :

Negative, I cannot confirm this is clearly related to alt-tab switch - or, at least, it does not seem to be exclusively. Most of the time when I come across this issue, the non-responsive area is much smaller than the selection view appearing on alt-tab.

Daniel van Vugt (vanvugt) wrote :

In comment #110 and the image attached to bug 779651 it was shown that the dead area is indeed smaller than the switcher window. However the shape and precise position of the dead zone is that of the switcher's grey background.

mrtwister (mrtwister) wrote :

I am also affected by this. I attached a Screenshot where the unclickable area is marked.

Daniel van Vugt (vanvugt) wrote :

Agreed mrtwister, it is definitely most noticeable in the larger grey area at the bottom of the switcher window. But I noticed it also happens with the thin grey margins to the left, right and top of the switcher window.

mrtwister (mrtwister) wrote :

Here, the dead area only partly corresponds to the switcher window. The lowest 10 px or so are outside of the switcher's grey background.
Maybe this is one of the many nvidia issues? I'm using nvidia-173. nvidia-current doesn't work with compiz (and unity neither).

Davide Castellone (kastel88) wrote :

It shouldn't be a nvidia issue, as it also affects my installation with an Intel (i915) video card.

mrtwister (mrtwister) wrote :

Daniel, I agree. See Screenshot. The dead area pretty much corresponds to the switcher window for two applications. I was able to reproduce this twice, but not exactly sure how. In all cases I first noticed the dead area while (manually) selecting every odd file (holding down Ctrl) with nautilus in a folder with > 100 items.

Download full text (4.4 KiB)

Everyone,

I know this issue exists, I've been trying to debug it for a long
time. The most useful thing for me now would be _detailed_
_instructions_ to _reproduce_ it. Please don't comment saying that you
are also affected unless you have found a way to reliably or at least
semi-reliably trigger it.

On Thu, May 19, 2011 at 6:13 PM, mrtwister <email address hidden> wrote:
> Daniel, I agree. See Screenshot. The dead area pretty much corresponds
> to the switcher window for two applications. I was able to reproduce
> this twice, but not exactly sure how. In all cases I first noticed the
> dead area while (manually) selecting every odd file (holding down Ctrl)
> with nautilus in a folder with > 100 items.
>
> ** Attachment added: "Bildschirmfoto-1.png"
>   https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/709461/+attachment/2134867/+files/Bildschirmfoto-1.png
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  Application windows can sometimes fail to display and will mask
>  regions of the screen
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  Triaged
> Status in “unity” package in Ubuntu:
>  Triaged
> Status in “compiz” source package in Natty:
>  Triaged
> Status in “unity” source package in Natty:
>  Triaged
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to another and clicking in same spot
>
>  Note that this does not always happen, I'm thinking the 'buried'
>  window may need to show some distorttion, not sure yet
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2.16-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-1.27-generic 2.6.38-rc2
>  Uname: Linux 2.6.38-1-generic i686
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86 Kernel Module  173.14.28  Wed Sep 29 09:47:25 PDT 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-2ubuntu1)
>  Architecture: i386
>  Date: Fri Jan 28 14:36:27 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus:
>   nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
>   nvidia-current, 260.19.29, 2.6.38-1-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.37-12-generic, i686: installed
>   nvidia-173, 173.14.28, 2.6.38-1-generic, i686: installed
>  GraphicsCard:   Subsystem: Dell Device [1028:0209]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110120)
>  InstallationMedia_: U...

Read more...

teachop (teachop) wrote :

On this thread in Ubuntu Forums, people seem to think they have a way to stop it from happening, although the solution sounds strange. If that is really true, perhaps that will provide a debugging clue:
http://ubuntuforums.org/showthread.php?t=1747222

Dmitry Shachnev (mitya57) wrote :

I can confirm that this is caused by the Alt-Tab switcher.
Also, obly the BORDERS AREA is unclickable, not the window preview area.

Please look at the screenshot which demonstrates this. (everything in the middle is clickable).

description: updated
Doug McMahon (mc3man) wrote :

 I haven't seen this for quite some time, (thru all the evolved variations) , went away for good in Beta 2
Can presently reproduce at will but not with the supplied default plugins. -
If I was to have 'Static Application Switcher' enabled and then also enable 'Application Switcher' , choosing the 3 default disables to resolve conflicts (the ones on far right in conflict resolution
Then it's quite simple to reproduce

With only one or the other there still is no issue here..

glesik (inglessi) wrote :

I enabled "Shift Switcher" instead of "(Static) Application Switcher" and see no dead area so far. Cannot reproduce with any of the above methods for a couple of hours now. Ubuntu 11.04 with Compiz and AWN (no Unity).

Helge (helgesdk) wrote :

I have somewhat similar symptoms, and I have found a [b]reliable way to reproduce them[/b].
It seems that [b]every time[/b] I minimize a window, it leads to severe graphical corruption and very strange behaviour in Unity.

A minimized window refuses to reappear when I press the launcher shortcut or top panel. Pressing Alt+Tab seems to be the only way to get it back, but it will have some severe graphical corruption when resized and moved around.
See the attached video.

Lenovo ThinkPad X200 with Intel 4500MHD graphics controller.
Ubuntu 11.04 amd64 fully updated. Universe and multiverse repositories enabled.
uname -srm: Linux 2.6.38-8-generic x86_64

If you need any additional info, like installed package list, changed configurations etc. please let me know.

Helge (helgesdk) wrote :

Oups :-S
I didn't know I also recorded audio in that video.

Helge (helgesdk) wrote :

Sorry about that!
I found out how to delete the attachment though.
Here is a new video (without sound) showing the graphical glitches.

Helge (helgesdk) wrote :

I can certainly reproduce the graphical glitches in a standard Ubuntu session with Unity, but swithing to Ubuntu Classic there seems to be no problems when minimizing windows.
I have checked to make sure that I am running compiz, albeit with the old gnome-panels instead of Unity.
Am I experiencing a different bug? Should I file a new bug?

glennric (glennric) wrote :

Sam Spilsbury: Are you looking for a surefire way to reproduce the mouse dead zone? Because I can tell you exactly how to do it with the default settings for either the Ubuntu Classic or the default Ubuntu desktops.
1. Log in.
2. Open a terminal from the menu, and move it away from the center of the screen where the switcher will appear. Make sure that it still has focus.
3. Hold down Alt-Tab to activate and show the switcher.
4. While the switcher is still visible move the mouse to a point right above the very bottom of the gray switcher window. Within a pixel or two of the bottom is sufficient.
5. Click there. You will see that the desktop does not take focus, and the terminal window still has focus. If you run xwininfo you can click at that location and you will see information about a window that you can't see, and that is definitely not the background nautilus window.

I have noticed that this happens with both the "Static Application Switcher" and the "Application Switcher" compiz plugins, however it does not happen with the other switcher plugins. Perhaps because those do not use override redirect windows? It happens regardless of if you are using the unity-window-decorator or the gtk-window-decorator.

Interestingly, if you repackage emerald with the current code from the git repository (since the package from the natty repositories segfaults), it is unaffected by this mouse dead zone bug.

glennric (glennric) wrote :

Oh, I forgot to point out that the only way that I have found to get rid of the dead zone after switching away from the "Static Application Switcher" and the "Application Switcher" plugins to another switcher is to restart compiz. The dead zone persists even if you switch back and forth between the gtk-window-decorator and unit-window-decorator until you do so.

Another annoyance caused by this bug is when you use the viewport switcher plugin, and have viewport switching with the mouse wheel enabled. If, for example, you have firefox open to a website, and you try to use the mouse wheel to scroll up and down when it happens to be in this dead zone the viewport is switched.

Dmitry Shachnev (mitya57) wrote :

@glennric:
I confirm that your reproduction steps work, but always on the second try. In example:
1. Open any window
2. Move it away from the screen center
3. Press Alt+Tab twice
4. Click on the place where the bottom of the switcher appeared

Clicks on the area where the window thumbnails were result in focusing those windows, they give no change when there is only one window.

description: updated
description: updated
description: updated
description: updated
Sam Spilsbury (smspillaz) wrote :
Download full text (5.7 KiB)

On Sat, May 28, 2011 at 10:13 AM, glennric <email address hidden> wrote:
> Sam Spilsbury:  Are you looking for a surefire way to reproduce the mouse dead zone?  Because I can tell you exactly how to do it with the default settings for either the Ubuntu Classic or the default Ubuntu desktops.
> 1.   Log in.
> 2.  Open a terminal from the menu, and move it away from the center of the screen where the switcher will appear.  Make sure that it still has focus.
> 3.  Hold down Alt-Tab to activate and show the switcher.
> 4.  While the switcher is still visible move the mouse to a point right above the very bottom of the gray switcher window.  Within a pixel or two of the bottom is sufficient.
> 5.  Click there.  You will see that the desktop does not take focus, and the terminal window still has focus.  If you run xwininfo you can click at that location and you will see information about a window that you can't see, and that is definitely not the background nautilus window.

Ah, I can see this one. Thanks. It's a different issue to the *actual*
invisible window bug (might be worth filing a separate bug over this)
but I know what's going on, thanks for that.

>
> I have noticed that this happens with both the "Static Application
> Switcher" and the "Application Switcher" compiz plugins, however it does
> not happen with the other switcher plugins.  Perhaps because those do
> not use override redirect windows?  It happens regardless of if you are
> using the unity-window-decorator or the gtk-window-decorator.
>

The switcher window is override redirect, so I don't really see the
problem here. I hink what's happening is that we don't unmap the frame
window we give it.

> Interestingly, if you repackage emerald with the current code from the
> git repository (since the package from the natty repositories
> segfaults), it is unaffected by this mouse dead zone bug.

I'm surprised that it even works with the new decoration interface.

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  Application windows can sometimes fail to display and will mask
>  regions of the screen
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  Triaged
> Status in “unity” package in Ubuntu:
>  Triaged
> Status in “compiz” source package in Natty:
>  Triaged
> Status in “unity” source package in Natty:
>  Triaged
> Status in “compiz” package in Fedora:
>  New
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to a...

Read more...

glennric (glennric) wrote :

The issue does seem to be that the frame is not unmapped. That dead zone seems to follow the path of the frame. The interior of the switcher windows where the preview windows appear is still properly click-able.

Dmitry Shachnev (mitya57) wrote :

@glennric: as you can see in this screenshot (https://launchpadlibrarian.net/72213698/unclickable.png), it's not only the frame, but the whole window except the window previews. If you click on the window preview, the corresponding window is focused; the same happens when the switcher is active but not visible.

Changed in unity:
milestone: 3.8.14 → 3.8.16
Dmitry Shachnev (mitya57) wrote :

@Sam:
>Ah, I can see this one. Thanks. It's a different issue to the *actual* invisible window bug (might be worth filing a separate bug over this) but I know what's going on, thanks for that.

Most duplicates of this bug are about unclickable areas, and for most people the unclickable area is Alt-Tab switcher. Should I really report a new bug about the switcher?

Also, I attach my xwininfo for that.

Sam Spilsbury (smspillaz) wrote :
Download full text (5.3 KiB)

On Wed, Jun 1, 2011 at 12:31 AM, Dmitry Shachnev <email address hidden> wrote:
> @Sam:
>>Ah, I can see this one. Thanks. It's a different issue to the *actual* invisible window bug (might be worth filing a separate bug over this) but I know what's going on, thanks for that.
>
> Most duplicates of this bug are about unclickable areas, and for most
> people the unclickable area is Alt-Tab switcher. Should I really report
> a new bug about the switcher?

There already is one, see 789580. And I've just fixed it now :)

>
> Also, I attach my xwininfo for that.
>
> ** Attachment added: "XWinInfo for the invisible Alt-Tab switcher"
>   https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/709461/+attachment/2149254/+files/alt-tab.xwininfo
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/709461
>
> Title:
>  Application windows can sometimes fail to display and will mask
>  regions of the screen
>
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  Triaged
> Status in “unity” package in Ubuntu:
>  Triaged
> Status in “compiz” source package in Natty:
>  Triaged
> Status in “unity” source package in Natty:
>  Triaged
> Status in “compiz” package in Fedora:
>  New
>
> Bug description:
>  Binary package hint: unity
>
>  On 2 separate machines  w/ updated as of 1/28 -
>
>  On rare occasions a window will open in the top left corner with top deco buried.  The most likely for this to happen is a utility window like  update manager.
>  After pulling back down into the desktop (Alt+click) it may or may not show some graphical distortion (window split in 2 parts), if so it returns to normal if opening any other window.
>
>  What does appear to happen is an invisible window is created in the
>  area where it was pulled down to, this only happens on the current
>  workspace, any others are unaffected
>
>  Attached xwininfo - first shows on affected workspace, 2nd when
>  switching to another and clicking in same spot
>
>  Note that this does not always happen, I'm thinking the 'buried'
>  window may need to show some distorttion, not sure yet
>
>  ### IMPORTANT ###
>  This can cause the central area of the screen (where the Alt-Tab switcher is drawn) to be unclickable. This also happens on Classic desktop.
>
>  ### REPRODUCTION STEPS (thanks to glennric) ###
>  1. Log in
>  2. Open a terminal and move it away from the center of the screen where the switcher will appear. Make sure that it still has focus.
>  3. Hold down Alt-Tab to activate and show the switcher. Sometimes you need to call the switcher twice.
>  4. While the switcher is still visible move the mouse to a point right above the very bottom of the gray switcher window (it should be window titles area, not thumbnails area, within 1-5 pixels of the bottom is sufficient)
>  5. Click there. You will see that the desktop does not take focus, and the terminal window still has focus. If you run xwininfo you can click at that location and you will see information about a window that you can't see, and that is definitely not the background nautilus window.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2....

Read more...

description: updated
tags: removed: patch
Daniel van Vugt (vanvugt) wrote :

Nice work Sam.

I suspect Dmitry is right though -- Most people watching this bug actually are experiencing bug 789580 (which probably should have been bug 779651 or another...).

David Barth (dbarth) on 2011-06-15
Changed in unity:
milestone: 3.8.16 → alpha2
Yuuki Hogo (yuuki) wrote :

I have 2 PCs which had 10.10 and 11.04 during last half-year. One of them never encounter this bug and second one encounter it permanently. No matter what WM is used - Gnome2, Unity, KDE - invisible windows appear pretty often. One and only way to quick fix it - Alt-F4 until all windows closed. Right after that almost any opened window creates invisible window again.
This bug persists very long time and makes my second computer totally unusable with *buntu. Dunno, is it hardware-related, but if it helps:
Affected PC: ATI Radeon HD2600, AMD Athlon64 X2 3800, Wireless Logitech mouse LX6, MB ASUS M3A78-CM.
Non-affected: ATI Radeon HD3870, AMD Phenom 9750, Wireless Logitech mouse LX5, MB Gigabyte GA-MA790FX-DS5

Didier Roche (didrocks) on 2011-07-05
Changed in unity:
milestone: 4.2.0 → 4.4.0
Alin Andrei (nilarimogard) wrote :

Hmm for me, this bug only occurs when the "Keep previews of minimized windows" box is checked in the CCSM Workarounds plugin.

Didier Roche (didrocks) on 2011-07-21
Changed in unity:
milestone: 4.4.0 → 4.6.0
Didier Roche (didrocks) on 2011-08-01
Changed in unity:
milestone: 4.6.0 → 4.8.0
Sam Spilsbury (smspillaz) wrote :

I'd like to know if this is still an issue in cases where windows aren't minimized. That's pending an xserver upload which should come soon.

Omer Akram (om26er) wrote :

I am quite certain this is not an issue anymore in Onieiric I have not
seen a bug report stating this issue, neither I have it myself in my
extensive testing of Unity.

On 16/09/2011 03:34, Sam Spilsbury wrote:
> I'd like to know if this is still an issue in cases where windows aren't
> minimized. That's pending an xserver upload which should come soon.
>
I haven't seen it happen for ages; have upgraded desktop/laptop machines
to oneiric beta now anyway, and haven't encountered it there either.

I still have Natty and have not experienced it in either of my machines for a long while now. I am a bit surprised (and thankful/grateful) since I don't know what happened that fixed this!

On 16/09/2011 17:09, Manjul Apratim wrote:
> I still have Natty and have not experienced it in either of my machines
> for a long while now. I am a bit surprised (and thankful/grateful) since
> I don't know what happened that fixed this!
>
Though I can appreciate that's going to be frustrating for the
maintainers. A bug that "goes away" without anyone actually fixing it is
still kind of... out there, isn't it. Waiting.

Hopefully the jump to gtk/gnome 3 framework will have obliterated it.

I experience a very similar bug on oneiric. It happens quite often - every 2 or 3 hours during normal use. I can't give any specific steps to reproduce it but it seems to happen the most when a application with maximized window is started or it's window is minimized or closed. During that time I can't access anything on the current workspace except of unity bars. It looks like something covers a freshly maximized window or desktop when a broken window is minimized. It's is always followed by some graphical distortions (see attached screenshots - on one of them you can see a trail in the left top corner after minimized thunderbird window). Other workspaces are unaffected. Often opening some new window or switching to another workspace and back temporarily fixes this issue.
Using xwinfo reveals that a broken window doesn't get in some way minimized or closed after all! It disappears and it isn't active but somehow blocks everything else on desktop.
This is it's output after minimizing or closing firefox (you can watch it on the movie I've attached):
xwininfo: Window id: 0x281fd16 "Speed Dial - Mozilla Firefox"

  Absolute upper-left X: 0
  Absolute upper-left Y: 53
  Relative upper-left X: 0
  Relative upper-left Y: 0
  Width: 1920
  Height: 1026
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners: +0+53 -0+53 -0-1 +0-1
  -geometry 1920x1026+0-0

tags: added: oneiric regression-release
Tim Penhey (thumper) wrote :

@Lukasz are you still seeing this on oneiric?

There have been significant changes to the entire stack here, and if this has been fixed by updated versions of something, I'd love to close this bug.

@Tim, I don't suffer from this bug anymore. As far as I'm concerned it can be closed.

Matt Price (matt-price) wrote :

I'm seeing a similar problem (invisible window) on a thinkpad T410 running oneiric. I'm pasting in some recent comments from the bug I reported (lp:921094) and my xwininfo -all output on the dead zones/invisible windows. Thanks,

Matt:

managed to get the problem back, but the dead zone/inviisible window is
not in this case identical to the switcher. The attached output of
xwininfo -all describes an area slightly below the switcher, slightly
shorter, and approximately the same width (I can't seem to get xwininfo
data on the switcher itself, sorry).

By bringing a full-screen terminal window to the front of the window
stack, I was able to visually trace the approximate dimensions of the
dead zone (because the cursor shape changes visibly). I also found a
second very small dead zone in the upper right quadrant -- very oddly,
the xwininfo output for that second, very small, dead zone is identical
to the output of the first window. I can't really see why that would be
the case, but am also attaching that output to this bug report.

xwininfo -all doesn't really seem like enough info to figure out which
application is responsible for spawning, then abandoning this window.
Is there anything else I can do? I'll try to hold off on restarting
compiz for a while in case you have suggestions.

OK, I hate to tell you that, bug the bug also exists in Precise ... see the screenie :P
Chromium browser is runing (it's written in the panel), but the window itself is completely invisble :/

johnf (johnf-dsl) wrote :

I am also affectd by this bug on Precise. The issue affected a pidgin chat window. I could click on links in the chat but couldn't see the window. You did see the window kind of disappear of to the left when you pressed Super+W. I'm running precise on a Lenovo T420s with Intel graphics.

If you would like me to build the special debug version of compiz and gather diagnostics please let me know.

Karl Hegbloom (karl.hegbloom) wrote :
Sean DS (se4n-1) wrote :

I have a screenshot of this, I would have preffered to have made a video but I didnt have the tools at the time:

1. I open firefox it is drawn on the left monitor but actually when I click on it im interacting with teXmaker.

2. When I click on my bib files in gedit, I'm actually interactinbg with firefox, you can see me selecting some text in firefox by clicking on the gedit window. This bug is at best aggrevating and at worst making me wish I never 'upgraded' from Maverick.

Attached are screenshots. 1 and 2

Sean DS (se4n-1) wrote :

I somehow forgot the screenshots

Bojan Markovic (bmarkovic) wrote :

If you are still interested in this bug I have an almost guaranteed way to reproduce it. But it's slightly demanding of your work environment, since it means using MATE desktop environment and replacing it's WM 'marco' with 'compiz'.

Once you have this Compiz/Mate combo running, you need to open a few windows (I typically have >10 various applications open so this bug hits me often).

If you minimize al windows, using for example panel Show Desktop Button or a keyboard shortcut defined in CCSM (I have Super+M setup to minimize all windows) you will almost certainly create one of those "ghost" windows that are clickable and block access to desktop icons and sometimes even windows below them, but are invisible.

If you want the nasty version of the bug (where a window even disappears from taskbar so you cannot remove it any way but sucessfully guessing where it's close button is located) try tampering with CCSM options Enable Widget Layer.

Minimizing by clicking the taskbar button instead of window's minimize also hels bring this vermin to show it's face.

dino99 (9d9) on 2013-05-18
Changed in unity (Ubuntu Natty):
status: Triaged → Invalid
Changed in compiz (Ubuntu Natty):
status: Triaged → Invalid
tags: removed: natty oneiric
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers